import React from "react";
import { Request, Response, NextFunction } from "express";
declare type RequestToReactNode = (req: Request, res: Response, next: NextFunction) => React.ReactNode;
interface ReactRouteProps {
    /**
     * the root path that your assets and indexPath will be relative to.
     * @default rootPath={"/"}
     */
    rootPath?: string;
    /**
     * the path for your index - your react app will be render to rootPath/indexPath
     * @default indexPath={"/"}
     */
    indexPath?: string;
    /**
     * Assets directory absolute path
     * @example assetsDir={path.join(__dirname, "./../assets")}
     * @default none
     */
    assetsDir?: string;
    children: RequestToReactNode | React.ReactNode;
}
declare class ReactRoute extends React.Component<ReactRouteProps> {
    private getApp;
    render(): JSX.Element;
}
export default ReactRoute;
